VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Cis::Session::Info Class Reference
Inheritance diagram for Com::Vmware::Cis::Session::Info:

## Avaliable Methods
public method | set_created_time ()
public method | set_last_accessed_time ()
public method | new ()
public method | get_last_accessed_time ()
public method | set_user ()
public method | get_created_time ()
public method | get_user ()

## Detailed Description

Represents data associated with an API session.

## Member Function Documentation

public method Com::Vmware::Cis::Session::Info::get_created_time | ( |  | ) |

Gets the value of 'created_time' property.

Return values

  created_time | - The current value of the field. Time when the session was created. DateTime#

Code:
click to view
# Number of lines of code in get_created_time: 4
sub get_created_time {
my ($self, %args) = @_;
return $self->{'created_time'};
}

public method Com::Vmware::Cis::Session::Info::get_last_accessed_time | ( |  | ) |

Gets the value of 'last_accessed_time' property.

Return values

  last_accessed_time | - The current value of the field. Last time this session was used by passing the session key for invoking an API. DateTime#

Code:
click to view
# Number of lines of code in get_last_accessed_time: 4
sub get_last_accessed_time {
my ($self, %args) = @_;
return $self->{'last_accessed_time'};
}

public method Com::Vmware::Cis::Session::Info::get_user | ( |  | ) |

Gets the value of 'user' property.

Return values

  user | - The current value of the field. Fully qualified name of the end user that created the session, for example Admin.nosp@m.istr.nosp@m.ator@.nosp@m.vsph.nosp@m.ere.l.nosp@m.ocal. A typical use case for this information is in Graphical User Interfaces (GUI) or logging systems to visualize the identity of the current user. String#

Code:
click to view
# Number of lines of code in get_user: 4
sub get_user {
my ($self, %args) = @_;
return $self->{'user'};
}

public method Com::Vmware::Cis::Session::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Cis::Session::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{user} = $args{'user'};
$self->{created_time} = $args{'created_time'};
$self->{last_accessed_time} = $args{'last_accessed_time'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Cis::Session::Info');
$self->set_binding_name('name' => 'com.vmware.cis.session.info');
$self->set_binding_field('key' => 'user', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'created_time', 'value' => new Com::Vmware::Vapi::Bindings::Type::DateTimeType());
$self->set_binding_field('key' => 'last_accessed_time', 'value' => new Com::Vmware::Vapi::Bindings::Type::DateTimeType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Cis::Session::Info::set_created_time | ( |  | ) |

Sets the given value for 'created_time' property.

Parameters

  created_time | - New value for the field. Time when the session was created.

Code:
click to view
# Number of lines of code in set_created_time: 5
sub set_created_time {
my ($self, %args) = @_;
$self->{'created_time'} = $args{'created_time'};
return;
}

public method Com::Vmware::Cis::Session::Info::set_last_accessed_time | ( |  | ) |

Sets the given value for 'last_accessed_time' property.

Parameters

  last_accessed_time | - New value for the field. Last time this session was used by passing the session key for invoking an API.

Code:
click to view
# Number of lines of code in set_last_accessed_time: 5
sub set_last_accessed_time {
my ($self, %args) = @_;
$self->{'last_accessed_time'} = $args{'last_accessed_time'};
return;
}

public method Com::Vmware::Cis::Session::Info::set_user | ( |  | ) |

Sets the given value for 'user' property.

Parameters

  user | - New value for the field. Fully qualified name of the end user that created the session, for example Admin.nosp@m.istr.nosp@m.ator@.nosp@m.vsph.nosp@m.ere.l.nosp@m.ocal. A typical use case for this information is in Graphical User Interfaces (GUI) or logging systems to visualize the identity of the current user.

Code:
click to view
# Number of lines of code in set_user: 5
sub set_user {
my ($self, %args) = @_;
$self->{'user'} = $args{'user'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Cis/Session.pm